Subject: bug#64868: 29.1; C-x O binding suggestion for (other-window -1)

From: Jim Porter <[email-masked]>
Date: Wed, 2 Aug 2023 14:00:11 -0700

On 7/25/2023 11:46 PM, Van Ly via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> When there are three or more windows in a frame C-x o runs the command
> other-window.  Wanting to goto the previous window the keybinding for
> that is not obvious.  C-x p is a keymap prefix for project related work.
> 
> May I suggest to make possible the binding C-x O for (other-window -1)
> as follows

I believe Emacs discourages keybindings with capital letters, since it 
can cause surprising results if the user has Caps Lock on. In this case, 
Caps Lock being on would cause "C-x o" to behave "backwards".

I don't know if this is a firm rule, but we should at least take it into 
account. (Of course, there's nothing stopping you from adding this 
keybinding for your own configuration.)